# DS_Map.h File Reference

[Internal] Map More...

`#include "DS_OrderedList.h"`
`#include "Export.h"`

## Namespaces

namespace | DataStructures

## Classes

class | DataStructures::Map< key_type, data_type, key_comparison_func >

Note:
  IMPORTANT! If you use defaultMapKeyComparison then call IMPLEMENT_DEFAULT_COMPARISON or you will get an unresolved external linker error.

More...

## Functions

template<class key_type>
int | DataStructures::defaultMapKeyComparison (const key_type &a, const key_type &b)

## Detailed Description

[Internal] Map

This file is part of RakNet Copyright 2003 Kevin Jenkins.

Usage of RakNet is subject to the appropriate license agreement. Creative Commons Licensees are subject to the license found at http://creativecommons.org/licenses/by-nc/2.5/ Single application licensees are subject to the license found at http://www.jenkinssoftware.com/SingleApplicationLicense.html Custom license users are subject to the terms therein. GPL license users are subject to the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.